Bug 1870087 - probe_file traverses CIFS file systems even when rule applies to local file systems only
Summary: probe_file traverses CIFS file systems even when rule applies to local file s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: openscap
Version: 8.2
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 8.0
Assignee: Jan Černý
QA Contact: Matus Marhefka
Mirek Jahoda
URL:
Whiteboard:
Depends On: 1869195
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-19 10:47 UTC by Jan Černý
Modified: 2020-11-19 11:18 UTC (History)
5 users (show)

Fixed In Version: openscap-1.3.3-5.el8
Doc Type: Bug Fix
Doc Text:
.OpenSCAP now handles remote file systems correctly Previously, OpenSCAP did not reliably detect remote file systems if their mount specification did not start with two slashes. As a consequence, OpenSCAP handled some network-based file systems as local. With this update, OpenSCAP identifies file systems using the file-system type instead of the mount specification. As a result, OpenSCAP now handles remote file systems correctly.
Clone Of: 1869195
Environment:
Last Closed: 2020-11-04 02:29:44 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4623 0 None None None 2020-11-04 02:29:47 UTC

Comment 2 Jan Černý 2020-08-20 07:29:09 UTC
This issue has been fixed upstream in https://github.com/OpenSCAP/openscap/pull/1573

Comment 10 errata-xmlrpc 2020-11-04 02:29:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (openscap bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4623


Note You need to log in before you can comment on or make changes to this bug.